Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.crawler
Class CrawlerConstants

    java.lang.Object
      com.plumtree.remote.crawler.CrawlerConstants

public class CrawlerConstants
extends java.lang.Object

Static constants related to crawlers.

Field Summary
`static java.lang.String` | `CLICK_FILE` Value for the `TAG_CLICK` tag representing the file click-through type.
`static java.lang.String` | `CLICK_PORTLET` Value for the `TAG_CLICK` tag representing the Portlet click-through type.
`static java.lang.String` | `CLICK_URL` Value for the `TAG_CLICK` tag representing the URL click-through type.
`static java.lang.String` | `DOCTYPE_DOCUMENTUM` Value for the `TAG_DOCTYPE` tag representing the Documentum document type.
`static java.lang.String` | `DOCTYPE_EXCHANGE` Value for the `TAG_DOCTYPE` tag representing the Exchange document type.
`static java.lang.String` | `DOCTYPE_FILE` Value for the `TAG_DOCTYPE` tag representing the file document type.
`static java.lang.String` | `DOCTYPE_MIME` Value for the `TAG_DOCTYPE` tag representing the MIME document type.
`static java.lang.String` | `DOCTYPE_NOTES` Value for the `TAG_DOCTYPE` tag representing the Notes document type.
`static java.lang.String` | `DOCTYPE_OTHER` Value for the `TAG_DOCTYPE` tag representing other document types.
`static java.lang.String` | `NS_CARD` Card submission namespace.
`static java.lang.String` | `NS_CRAWL` Crawler namespace.
`static java.lang.String` | `NS_DATA` Data source namespace.
`static java.lang.String` | `TAG_CLICK` Represents the type of click-through used for documents.
`static java.lang.String` | `TAG_COMMUNITY_ID` This tag represents the Community ID.
`static java.lang.String` | `TAG_DEPTH` Represents how deep the crawler will crawl.
`static java.lang.String` | `TAG_DESCRIPTION` If specified, this text becomes part of the Crawler object description (for example "This crawler begins in the Zanzibar folder.").
`static java.lang.String` | `TAG_DOC_ID` Represents the portal document type identifier.
`static java.lang.String` | `TAG_DOCTYPE` Represents the portal document type map to use.
`static java.lang.String` | `TAG_FOLDER_NAME` Human-readable string of the start location, used for tracing and logging.
`static java.lang.String` | `TAG_GID` Used for SOAP clickthroughs.
`static java.lang.String` | `TAG_LOGIN_TOKEN` Login token stored in data source info.
`static java.lang.String` | `TAG_PATH` Represents the starting path of a crawl.
`static java.lang.String` | `TAG_PROPERTIES` Represents whether properties from `GetMetaData` or the local accessor should be used.
`static java.lang.String` | `TAG_PROPERTIES_LOCAL` Value for TAG_PROPERTIES.
`static java.lang.String` | `TAG_PROPERTIES_REMOTE` Value for TAG_PROPERTIES.
`static java.lang.String` | `TAG_THREADS` Represents the maximum number of threads that can be crawled at the same time.
`static java.lang.String` | `TAG_TIMEOUT` In version 4.5, this tag represents the SOAP timeout for the portal.

Constructor Summary
`CrawlerConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS_DATA

    public static java.lang.String NS_DATA

  Data source namespace.

### NS_CRAWL

    public static java.lang.String NS_CRAWL

  Crawler namespace.

### NS_CARD

    public static final java.lang.String NS_CARD

  Card submission namespace.

### TAG_DEPTH

    public static final java.lang.String TAG_DEPTH

  Represents how deep the crawler will crawl. The text of this tag must not be changed because the portal looks for this specific tag. Note: You must use the `storage=integer` attribute for the control, or the portal will not recognize the value. If the tag is not present, the portal will only crawl the first level.

### TAG_GID

    public static final java.lang.String TAG_GID

  Used for SOAP clickthroughs.

### TAG_PATH

    public static final java.lang.String TAG_PATH

  Represents the starting path of a crawl. Passed to the first call to `IContainerProvider.attachToContainer(java.lang.String, com.plumtree.remote.crawler.ChildRequestHint, java.lang.String)`.

### TAG_THREADS

    public static final java.lang.String TAG_THREADS

  Represents the maximum number of threads that can be crawled at the same time. Note: You must use the `storage=integer` attribute for the control, or the portal will not recognize the value. In version 5.0, this setting is controlled by the server.

### TAG_CLICK

    public static final java.lang.String TAG_CLICK

  Represents the type of click-through used for documents. Must be one of the following: `CLICK_FILE`, `CLICK_URL`, or `CLICK_PORTLET`. When used with DocFetch, must always be `CLICK_URL`.

### TAG_TIMEOUT

    public static final java.lang.String TAG_TIMEOUT

  In version 4.5, this tag represents the SOAP timeout for the portal. In version 5.0, this setting is stored in the Web Service object and configured through the portal.

### TAG_DOC_ID

    public static final java.lang.String TAG_DOC_ID

  Represents the portal document type identifier. Its value depends on the value of `TAG_DOCTYPE`. In the case of `DOCTYPE_FILE`, it should be the file name, including extension. In the case of `DOCTYPE_MIME`, it should be a MIME type, for example text/html.

### TAG_DOCTYPE

    public static final java.lang.String TAG_DOCTYPE

  Represents the portal document type map to use. Should be either `DOCTYPE_FILE` or `DOCTYPE_MIME`.

### TAG_DESCRIPTION

    public static final java.lang.String TAG_DESCRIPTION

  If specified, this text becomes part of the Crawler object description (for example "This crawler begins in the Zanzibar folder.").

### TAG_FOLDER_NAME

    public static final java.lang.String TAG_FOLDER_NAME

  Human-readable string of the start location, used for tracing and logging.

### TAG_LOGIN_TOKEN

    public static final java.lang.String TAG_LOGIN_TOKEN

  Login token stored in data source info.

### TAG_COMMUNITY_ID

    public static final java.lang.String TAG_COMMUNITY_ID

  This tag represents the Community ID. On the 4.5 Solaris portal, must be set to "0" when using portlet click-through.

### DOCTYPE_FILE

    public static final java.lang.String DOCTYPE_FILE

  Value for the `TAG_DOCTYPE` tag representing the file document type.

### DOCTYPE_MIME

    public static final java.lang.String DOCTYPE_MIME

  Value for the `TAG_DOCTYPE` tag representing the MIME document type.

### DOCTYPE_NOTES

    public static final java.lang.String DOCTYPE_NOTES

  Value for the `TAG_DOCTYPE` tag representing the Notes document type.

### DOCTYPE_EXCHANGE

    public static final java.lang.String DOCTYPE_EXCHANGE

  Value for the `TAG_DOCTYPE` tag representing the Exchange document type.

### DOCTYPE_DOCUMENTUM

    public static final java.lang.String DOCTYPE_DOCUMENTUM

  Value for the `TAG_DOCTYPE` tag representing the Documentum document type.

### DOCTYPE_OTHER

    public static final java.lang.String DOCTYPE_OTHER

  Value for the `TAG_DOCTYPE` tag representing other document types.

### CLICK_FILE

    public static java.lang.String CLICK_FILE

  Value for the `TAG_CLICK` tag representing the file click-through type. In version 4.5, the portal calls `IDocumentProvider.attachToDocument(java.lang.String, java.lang.String, java.lang.String, com.plumtree.remote.crawler.DocumentFormat)` and `IDocument.getDocument()` over SOAP to retrieve the document for click-through.

### CLICK_URL

    public static java.lang.String CLICK_URL

  Value for the `TAG_CLICK` tag representing the URL click-through type. The portal forwards users to the `ClickThroughURL` returned by `IDocument.getMetaData(String[])` during crawls.

### CLICK_PORTLET

    public static java.lang.String CLICK_PORTLET

  Value for the `TAG_CLICK` tag representing the Portlet click-through type.

### TAG_PROPERTIES

    public static java.lang.String TAG_PROPERTIES

  Represents whether properties from `GetMetaData` or the local accessor should be used. The value must be `TAG_PROPERTIES_LOCAL` or `TAG_PROPERTIES_REMOTE`.

### TAG_PROPERTIES_LOCAL

    public static java.lang.String TAG_PROPERTIES_LOCAL

  Value for TAG_PROPERTIES. Properties from local accessors override properties from GetMetaData (for example, MS Word Author overrides Documentum Author).

### TAG_PROPERTIES_REMOTE

    public static java.lang.String TAG_PROPERTIES_REMOTE

  Value for TAG_PROPERTIES. Properties from GetMetaData override properties from local accessors (for example, Documentum Author overrides MS Word Author).

Constructor Detail

### CrawlerConstants

    public CrawlerConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.